<div class="container">

    <div class="studentlist">
        <div class="student" *ngFor="let student of allStudents">
            <input type="radio" [id]="student.username" name="student" (click)="ShowMarksForStudent(student.username)">
            <label [for]="student.username">{{ student.fullName }}</label>
        </div>

    </div>
    <div class="marks" *ngIf="cacheOldMarks">
        <div class="table">
            <div class="tr">
                <span class="td">Предмет</span>
                <span class="td">Прво Полугодиште</span>
                <span class="final">Закључна оцена</span>
                <span class="td">Друго Полугодиште</span>
                <span class="final">Закључна оцена</span>
            </div>
            <form class="tr" *ngFor="let subject of keys;let i = index;" [formGroup]="loginForm[i]" (ngSubmit)="submit(i)">
                <span class="td"><input class="regular" type="text" [value]="subject" disabled/></span>
                <span class="td"><input class="regular" type="text" formControlName="firstSemester"/></span>
                <span class="final"><input class="final" type="text" formControlName="firstFinal"/></span>
                <span class="td"><input class="regular" type="text" formControlName="secondSemester"/></span>
                <span class="final"><input class="final" type="text" formControlName="secondFinal"/></span>
                <span class="final"><button type="submit" class="confirmButton">Унеси оцену</button></span>
            </form>

    </div>
</div>